Component({
  data: {},
  props: {
    buttonTop: 0,
    backgroundUrl: '',
    componentData: {},
    onAuthTap: () => null
  },

  didMount() {
    this.onSetPageSize();
  },

  methods: {
    onSetPageSize() {
      const {
        componentData
      } = this.props;
      const {
        componentExtInfo
      } = componentData;
      const {
        authPageBackground = '',
        authButtonPositionTop = 0
      } = componentExtInfo || {};
      this.setData({
        buttonTop: +authButtonPositionTop,
        backgroundUrl: authPageBackground
      });
    },

    onAuth() {
      this.props.onAuthTap();
    }

  }
});